Seed code for ipa-deployer
[ta/ipa-deployer.git] / work / dib-ipa-element / virtmedia-netconf / finalise.d / 21-remove-extra-packages
diff --git a/work/dib-ipa-element/virtmedia-netconf/finalise.d/21-remove-extra-packages b/work/dib-ipa-element/virtmedia-netconf/finalise.d/21-remove-extra-packages
new file mode 100755 (executable)
index 0000000..c5597b5
--- /dev/null
@@ -0,0 +1,42 @@
+#!/bin/bash
+# Copyright 2019 Nokia
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+
+if [ "${DIB_DEBUG_TRACE:-0}" -gt 0 ]; then
+    set -x
+fi
+set -eu
+set -o pipefail
+
+#TODO:- At the moment ipa ramdisk is 34MB. Some more packages should be added to,
+#       the below remove list to reduce the size. Easy way to find the list:
+#       1. Extract ipa ramdisk.
+#       2. Chroot to the rootfs
+#       3. yum erase unused packages one by one.
+#       4. Verify openstack-ironic-python-agent and its dependent packages remain.
+
+install-packages -e kernel-debug-devel gcc rsync sudo pykickstart genisoimage \
+                man-db kbd-misc plymouth cronie \
+                kernel-headers
+
+#                chrony cpp* cups* GeoIP gsettings-desktop-schemas \
+#                libjpeg-turbo nfs* newt* numactl-libs openjpeg2
+
+${YUM:-yum} clean all
+
+# Rebuilding the rpm database after removing packages will reduce
+# its size
+rpm --rebuilddb